Firefox updaten

Software besorgen und anwenden
Antworten
Nachricht
Autor
stimzuk

Firefox updaten

#1 Beitrag von stimzuk » 04. Aug 2009 19:43

Hallo, ich verwende unter SuSE 11.1 FireFox 3.0.12 und möchte auf die aktuelle Version 3.5.2 updaten. Wieso kann ich mit YAST nicht updaten? Unter YAST bekomme ich nur die Version 3.0 angezeigt. Mache ich was falsch? Kann mir bitte jemand helfen beim Update helfen? Ich habe unter 3.0.12 auch einige Add-ons installiert die ich dann unter der neuen Version behalten will. Oder muß ich mir da auch jedes einzelne Add-on updaten? Vielen Dank.

Benutzeravatar
Janka
Beiträge: 3580
Registriert: 11. Feb 2006 19:10

#2 Beitrag von Janka » 05. Aug 2009 14:40

YaST bietet nur die Updates an, die es in den eingestellten Paketquellen (Repositories) findet. Die voreingestellten SuSE-Paketquellen beeinhalten nur Sicherheitsupdates.

Um weitere Paketquellen zu finden, kannst du auf
http://software.opensuse.org/search gehen, deine Distribution aussuchen und das gesuchte Paket eingeben ("Firefox"). Dann in der Liste nach der passenden Version (3.5) suchen. Das zugehörige Repositry ist "mozilla:Factory/openSUSE_11.1". Klicke auf den Link. Du kommst auf diese Seite
http://download.opensuse.org/repositori ... SUSE_11.1/ Diese URL in die Zwischenablage kopieren.

Die URL trägst du jetzt in YaST ein unter Software->Software Repositories->Hinzufügen->URL bestimmen->Weiter. Name des Repositories ist beliebig, nimm "Mozilla", URL ist die URL von eben.

Jetzt noch einmal Weiter und dann Beenden, damit ist das Repository hinzugefügt. Jetzt bietet dir YaST in Zukunft auch aktualisierte Pakete aus dieser Quelle an.

(Und ja, viele Erweiterungen werden mit Firefox 3.5 inkompatibel und müssen geupdatet werden. Das geschieht jeweils beim Firefox-Start automatisch.)

Janka
Ich vertonne Spam immer in /dev/dsp statt /dev/null.
Ich mag die Schreie.

Benutzeravatar
Phoenix
Beiträge: 582
Registriert: 12. Okt 2008 17:02
Wohnort: HSK

Noch eine Variante

#3 Beitrag von Phoenix » 05. Aug 2009 23:37

Hallo Janka, hallo stimzuk,

bevor ich diesen Thread entdeckt hatte, hatte ich es so versucht:

Code: Alles auswählen

http://software.opensuse.org/search
>> "Firefox" (Suche) >>
v v (=ziemlich weit unten):
MozillaFirefox-branding-openSUSE
mozilla/openSUSE_11.1
This package provides openSUSE Look and Feel for MozillaFirefox.

Authors:
--------
Wolfgang Rosenauer <wr &#91;at&#93; xxx>
1-Click Install
Manual Package Download
Go to OBS Project
i586 	MozillaFirefox-branding-openSUSE-3.5-11.1.i586.rpm
src 	MozillaFirefox-branding-openSUSE-3.5-11.1.src.rpm
&#91;b&#93;x86_64 	MozillaFirefox-branding-openSUSE-3.5-11.1.x86_64.rpm&#91;/b&#93;

Hilfe & Über&#58; Mozilla Firefox zeigt jetzt an&#58; 
Firefox Version 3.5  
Firefox for openSUSE  
openSUSE – 11.1
Das ist im Prinzip das gleiche wie bei Jankas Tipp. Was ich nur gern wissen möchte: wie ist eure Ansicht zum 1-klick-install?

Nette Grüße

Phoenix
Für kein Tier tut man so viel wie für die Katz!

3 BS aktuell
openSUSE 13.1-64 KDE auf Hauptplatte
Mageia 4-64 KDE auf USB- Platte
openSUSE 13.1-64 KDE auf USB- Platte mit Starter BodhiLinux 1.4.0

stimzuk

#4 Beitrag von stimzuk » 06. Aug 2009 20:30

Hallo Janka,
ich habe mir zwar das Repository http://download.opensuse.org/repositori ... SUSE_11.1/ in YAST kopiert, aber ich finde unter http://software.opensuse.org/search keine Version 3.5 des Firefox nur Versionen >3.5 aber diese benötigen immer die Version 3.5.
Wo kriege ich ein RPM Paket von Firefox 3.5 her?
lg

Benutzeravatar
Janka
Beiträge: 3580
Registriert: 11. Feb 2006 19:10

#5 Beitrag von Janka » 06. Aug 2009 22:28

Grummel, Fehler von mir. Es fehlt außerdem noch das Repository http://download.opensuse.org/repositori ... SUSE_11.1/
Das von mir ursprünglich genannte Repository enthält noch zusätzliche Dateien für Firefox-3.5, aber nicht das eigentliche Paket. Doof das.

Also: Selbes Vorgehen, das obige Repository einbinden. Danach sollte sich Firefox-3.5 in YaST finden und installieren lassen.

Janka
Ich vertonne Spam immer in /dev/dsp statt /dev/null.
Ich mag die Schreie.

stimzuk

#6 Beitrag von stimzuk » 08. Aug 2009 21:36

Hallo Jankaq, danke hat geklappt. Ich habe jetzt FF 3.5.2. Einige Add-ons wurden zwar nach dem Starten nicht aktualisiert - aber da werde ich mich morgen darum kümmern. Vorest einmal herzlichen Dank.

Antworten